<?php
require('config.php');
$tipo       = $_FILES['dataCliente']['type'];
$tamanio    = $_FILES['dataCliente']['size'];
$archivotmp = $_FILES['dataCliente']['tmp_name'];
$lineas     = file($archivotmp);

$i = 0;

foreach ($lineas as $linea) {
    $cantidad_registros = count($lineas);
    $cantidad_regist_agregados =  ($cantidad_registros - 1);

    if ($i != 0) {

        $datos = explode(";", $linea);
       
        $RUC                = !empty($datos[0])  ? ($datos[0]) : '';
		$COD_FL             = !empty($datos[1])  ? ($datos[1]) : '';
        $LOTE               = !empty($datos[2])  ? ($datos[2]) : '';
        $DIGITAL            = !empty($datos[3])  ? ($datos[3]) : '';
        $OBSERVACION        = !empty($datos[4])  ? ($datos[4]) : '';
        $DECISION           = !empty($datos[5])  ? ($datos[5]) : '';
        $DELITO             = !empty($datos[6])  ? ($datos[6]) : '';
        $COMUNA             = !empty($datos[7])  ? ($datos[7]) : '';
        $FECHA_LECT         = !empty($datos[8])  ? ($datos[8]) : '';
        $ASIGNADO           = !empty($datos[9])  ? ($datos[9]) : '';
        $FECHA_ASIG         = !empty($datos[10])  ? ($datos[10]) : '';
      
       
if( !empty($celular) ){
    $checkemail_duplicidad = ("SELECT RUC FROM ruc WHERE RUC='".($RUC)."' ");
            $ca_dupli = mysqli_query($con, $checkemail_duplicidad);
            $cant_duplicidad = mysqli_num_rows($ca_dupli);
        }   

date_default_timezone_set('America/Santiago');
$fecha_actual=date("Y-m-d");



    $ESTADO='PENDIENTE';

$insertarData = "INSERT INTO ruc( 
   RUC,
    COD_FL,
    LOTE,
    DIGITAL,
    OBSERVACION,
    DECISION,
    DELITO,
    COMUNA,
    FECHA_LECT,
    ASIGNADO,
    FECHA_ASIG,
    ESTADO,
    FECHA_CARGA
) VALUES(
    '$RUC',
    '$COD_FL',
    '$LOTE',
    '$DIGITAL',
    '$OBSERVACION',
    '$DECISION',
    '$DELITO',
    '$COMUNA',
    '$FECHA_LECT',
    '$ASIGNADO',
    '$FECHA_ASIG',
    '$ESTADO',
    '$fecha_actual'
)";
mysqli_query($con, $insertarData);
        

  }

 $i++;
}

?>

<meta http-equiv = "refresh" 
   
   
 content = "0; url = http://webmy.cl/RGP/index1.php">